<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.50</title>
</head>
<script>
    //st1:

    var input = [" avengers", "   captain_america", "ironman   ", " black panther   "]

    const removeSpace = paramInput => {
        var outPut = paramInput.map(val => {
            return val.replaceAll(" ", "");
        })
        return outPut
    }
    console.log(removeSpace(input))

    //st2:
    var input = 1
    const mileToKm = input => {
        var km = input * 1.690
        console.log(`
            ${input} mile = ${km} km
       `)
    }
    mileToKm(input)


    //st3:
    var input1 = [1, 2, 3, 4, 5];
    var input2 = [1, 2];
    var input3 = [3, 4];

    const mathSquared = input => {
        var squared = input.map(val => {
            return val * val
        })
        var result = squared.reduce((occ, cur) => {
            return occ + cur
        }, 0)
        return result
    }
    console.log(mathSquared(input3));

    //st4: 
    var input = [4, -4, 10];
    const output = input => {
        return input.map(val => {
            return val + 4
        })
    }
    console.log(output(input))

    //st5:
    var input = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
    const sumEvenNumber = input => {
        const evenNumber = input.filter(val => {
            return val % 2 == 0;
        })
        const result = evenNumber.reduce((occ, cur) => {
            return occ + cur
        }, 0)
        return result
    }
    console.log(sumEvenNumber(input))

    //st6:
    var input = ["avengers", "captain america"];
    const upperCaseValue = input => {
        return input.map(val => {
            return val.toUpperCase()
        })
    }
    console.log(upperCaseValue(input));

    //st7:
    var input = [
        { name: 'Spider-Man' },
        { name: 'Thor' },
        { name: 'Black Panther' },
        { name: 'Captain Marvel' },
        { name: 'Silver Surfer' }
    ]
    const newArr = input => {
        var vId = 0
        return input.map(val => {
            return val = { id: vId++, hero: val.name }
        })
    }
    var result = newArr(input)
    console.log(result)

    //st8: 
    var input = ["spray", "limit", "elite", "exuberant", "destruction", "present"]
    const filterArrValue = input => {
        return input.filter(val => {
            return val.length > 6
        })
    }
    console.log(filterArrValue(input));

    //st9: 
    var input = [4, -4, 10];
    const output1 = input => {
        return input.map(val => {
            return val + 4
        })
    }
    console.log(output1(input))

    //st10: 
    var input = [11, 22, 33, 46, 75, 86, 97, 98];
    const squaredOfEvenNumber = input => {
        const evenNumber = input.filter(val => {
            return val % 2 == 0;
        })
        const result = evenNumber.map(val => {
            return val * val
        })
        return result
    }
    console.log(squaredOfEvenNumber(input))

</script>

<body>

</body>

</html>